Last Comment Bug 813622 - Permanent orange: various oranges related to plugins
: Permanent orange: various oranges related to plugins
Status: RESOLVED FIXED
: intermittent-failure
Product: Thunderbird
Classification: Client Software
Component: Testing Infrastructure (show other bugs)
: Trunk
: x86 All
: -- normal (vote)
: Thunderbird 20.0
Assigned To: Mike Conley (:mconley) - (Away until June 29th)
:
Mentors:
Depends on:
Blocks:
  Show dependency treegraph
 
Reported: 2012-11-20 09:05 PST by Mike Conley (:mconley) - (Away until June 29th)
Modified: 2012-11-28 06:08 PST (History)
1 user (show)
See Also:
Crash Signature:
(edit)
QA Whiteboard:
Iteration: ---
Points: ---
fixed
fixed
18+
fixed


Attachments
Patch v1 (6.71 KB, patch)
2012-11-20 13:06 PST, Mike Conley (:mconley) - (Away until June 29th)
standard8: review+
standard8: approval‑comm‑aurora+
standard8: approval‑comm‑beta+
standard8: approval‑comm‑esr17+
Details | Diff | Review

Description Mike Conley (:mconley) - (Away until June 29th) 2012-11-20 09:05:30 PST
We've started seeing the following Mozmill failures across the board:

TEST-START | /home/cltbld/talos-slave/test/build/mozmill/content-tabs/test-plugin-unknown.js | test_unknown_plugin_notification_inline
Step Pass: {"function": "controller.click()"}
Step Pass: {"function": "controller.waitFor()"}
Test Failure: The plugin install status should have been ready: 'ready' != 'null'.
TEST-UNEXPECTED-FAIL | /home/cltbld/talos-slave/test/build/mozmill/content-tabs/test-plugin-unknown.js | test-plugin-unknown.js::test_unknown_plugin_notification_inline
TEST-START | /home/cltbld/talos-slave/test/build/mozmill/content-tabs/test-plugin-unknown.js | test_unknown_plugin_notification_bar
Step Pass: {"function": "controller.click()"}
Test Failure: Timeout waiting for the content tab to open
TEST-UNEXPECTED-FAIL | /home/cltbld/talos-slave/test/build/mozmill/content-tabs/test-plugin-unknown.js | test-plugin-unknown.js::test_unknown_plugin_notification_bar

TEST-START | /home/cltbld/talos-slave/test/build/mozmill/content-tabs/test-plugin-blocked.js | test_blocklisted_plugin_notification
Step Pass: {"function": "controller.click()"}
Test Failure: Timeout waiting for alert
TEST-START | /home/cltbld/talos-slave/test/build/mozmill/content-tabs/test-plugin-blocked.js | teardownTest
TEST-PASS | /home/cltbld/talos-slave/test/build/mozmill/content-tabs/test-plugin-blocked.js | test-plugin-blocked.js::teardownTest
TEST-UNEXPECTED-FAIL | /home/cltbld/talos-slave/test/build/mozmill/content-tabs/test-plugin-blocked.js | test-plugin-blocked.js::test_blocklisted_plugin_notification

TEST-START | /home/cltbld/talos-slave/test/build/mozmill/message-header/test-phishing-bar.js | test_phishing_bar_for_eml_attachment
Test Failure: Notification bar is collapsed!
WARNING: gsignal.c:3078: signal name `selection_changed' is invalid for instance `0x7f8afe0b70b0': 'glib warning', file ../../../../mozilla/toolkit/xre/nsSigHandlers.cpp, line 126

(thunderbird-bin:3104): GLib-GObject-WARNING **: gsignal.c:3078: signal name `selection_changed' is invalid for instance `0x7f8afe0b70b0'
TEST-UNEXPECTED-FAIL | /home/cltbld/talos-slave/test/build/mozmill/message-header/test-phishing-bar.js | test-phishing-bar.js::test_phishing_bar_for_eml_attachment
Comment 1 Mike Conley (:mconley) - (Away until June 29th) 2012-11-20 12:51:38 PST
I think we're going to have to port some work from bug 800018 in our fork of plugins.js.
Comment 2 Mike Conley (:mconley) - (Away until June 29th) 2012-11-20 13:06:26 PST
Created attachment 683721 [details] [diff] [review]
Patch v1

Ported over the relevant parts of 800018. Didn't copy over any of the click-to-play stuff, since, well, we don't seem to really have the front-end support for click-to-play yet.

content-tabs tests all pass with this patch.
Comment 3 Mark Banner (:standard8) 2012-11-21 01:48:16 PST
Comment on attachment 683721 [details] [diff] [review]
Patch v1

Looks good, please can you file a follow-up on porting click-to-play.
Comment 4 Mark Banner (:standard8) 2012-11-21 01:53:20 PST
Comment on attachment 683721 [details] [diff] [review]
Patch v1

Review of attachment 683721 [details] [diff] [review]:
-----------------------------------------------------------------

I knew I forgot something...

::: mail/base/content/plugins.js
@@ +132,5 @@
>                                true);
>    },
>  
> +  // Helper to get the binding handler type from a plugin object
> +  _getBindingType : function(plugin) {

This function is throwing strict warnings that it isn't always returning a type. The two returns just need to return null.
Comment 5 Mark Banner (:standard8) 2012-11-21 02:00:14 PST
I landed this with the added nulls:

https://hg.mozilla.org/comm-central/rev/6a818f090e03

I think we'll need a separate bug for the test-phishing-bar.js, but we'll see what the tree does after it cycles for this fix.
Comment 6 Mike Conley (:mconley) - (Away until June 29th) 2012-11-26 08:52:48 PST
Comment on attachment 683721 [details] [diff] [review]
Patch v1

The bug that originally broke trunk got ported to mozilla-aurora, beta, and the ESR channel - which means we're seeing oranges across the board on comm-aurora/beta/esr.
Comment 7 Mike Conley (:mconley) - (Away until June 29th) 2012-11-26 11:50:20 PST
comm-aurora: https://hg.mozilla.org/releases/comm-aurora/rev/f096f9ef211d
comm-beta: https://hg.mozilla.org/releases/comm-beta/rev/0350bdb2d166
Comment 8 Mark Banner (:standard8) 2012-11-28 06:08:11 PST
https://hg.mozilla.org/releases/comm-esr17/rev/d177ab5d0482

Note You need to log in before you can comment on or make changes to this bug.